com.threerings.whirled.server

## Interface SceneRegistry.ResolutionListener

All Known Implementing Classes:
  AbstractSceneMoveHandler, PeeredZoneRegistry.PeerZoneMoveHandler, SceneMoveHandler, SpotSceneMoveHandler, ZoneMoveHandler

Enclosing class:
  SceneRegistry

    public static interface SceneRegistry.ResolutionListener

Because scenes must be loaded from the scene repository and this must not be done on the dobjmgr thread, the interface for resolving scenes requires that the entity that wishes for a scene to be resolved implement this callback interface so that it can be notified when a scene has been loaded and initialized.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `sceneFailedToResolve(int sceneId, Exception reason)` Called if some failure occurred in the scene resolution process.
`void` `sceneWasResolved(SceneManager scmgr)` Called when the scene has been successfully resolved.

### Method Detail

#### sceneWasResolved

    void sceneWasResolved(SceneManager scmgr)

Called when the scene has been successfully resolved. The scene manager instance provided can be used to obtain a reference to the scene, or the scene distributed object.

#### sceneFailedToResolve

    void sceneFailedToResolve(int sceneId,
                              Exception reason)

Called if some failure occurred in the scene resolution process.